GDBserver

gdb::function_view< Res(Args...)>::IsCompatibleCallable< Callable, Res2 > Struct Template Reference
Inheritance diagram for gdb::function_view< Res(Args...)>::IsCompatibleCallable< Callable, Res2 >:

## Detailed Description

### template<typename Res, typename... Args>
template<typename Callable, typename Res2 = typename std::result_of<Callable &(Args...)>::type>
struct gdb::function_view< Res(Args...)>::IsCompatibleCallable< Callable, Res2 >

Definition at line 192 of file function-view.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/function-view.h